Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.iiop.rmi
Class Util

    java.lang.Object
      org.jboss.iiop.rmi.Util

public class Util
extends Object

This is a RMI/IIOP metadata conversion utility class. Routines here are conforming to the "Java(TM) Language to IDL Mapping Specification", version 1.1 (01-06-07).

Version:
  $Revision: 1.8 $
Author:
  Ole Husgaard

Constructor Summary
`Util()`

Method Summary
`static String` | `getIRIdentifierOfClass(Class cls)` Return the IR global ID of the given class or interface.
`static String` | `getTypeIDLName(Class cls)` Return the IDL type name for the given class.
`static void` | `insertAnyPrimitive(Any any, Object primitive)` Insert a java primitive into an Any.
`static boolean` | `isValidRMIIIOP(Class cls)` Check if this class is valid for RMI/IIOP mapping.
`static String` | `javaToIDLName(String name)` Map Java name to IDL name, as per sections 1.3.2.3, 1.3.2.4 and 1.3.2.2.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Util

    public Util()

Method Detail

### getTypeIDLName

    public static String getTypeIDLName(Class cls)
                                 throws RMIIIOPViolationException

  Return the IDL type name for the given class. Here we use the mapping for parameter types and return values.

  Throws:
    `RMIIIOPViolationException`

### isValidRMIIIOP

    public static boolean isValidRMIIIOP(Class cls)
                                  throws RMIIIOPViolationException

  Check if this class is valid for RMI/IIOP mapping. This method will either throw an exception or return true.

  Throws:
    `RMIIIOPViolationException`

### insertAnyPrimitive

    public static void insertAnyPrimitive(Any any,
                                          Object primitive)

  Insert a java primitive into an Any. The primitive is assumed to be wrapped in one of the primitive wrapper classes.

### javaToIDLName

    public static String javaToIDLName(String name)

  Map Java name to IDL name, as per sections 1.3.2.3, 1.3.2.4 and 1.3.2.2. This only works for a single name component, without a qualifying dot.

### getIRIdentifierOfClass

    public static String getIRIdentifierOfClass(Class cls)

  Return the IR global ID of the given class or interface. This is described in section 1.3.5.7. The returned string is in the RMI hashed format, like "RMI:java.util.Hashtable:C03324C0EA357270:13BB0F25214AE4B8".

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.